Skip to main content
GET
Retrieve a customer by external id.

Authorizations

x-api-key
string
header
required

LedgerUp API Key.

Path Parameters

external_id
string
required

External customer identifier. Caller-supplied external identifier.

Maximum string length: 256
Example:

"crm_acme_001"

Response

Resource found.

id
string<uuid>
required

Customer UUID.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

name
string
required

Customer name.

Maximum string length: 256
Example:

"Acme"

external_id
string | null
required

Optional caller-supplied external identifier.

Maximum string length: 256
Example:

"crm_acme_001"

stripe_customer_id
string | null
required

Optional Stripe customer identifier.

Maximum string length: 256
Example:

"cus_NffrFeUfNV2Hib"

quickbooks_customer_id
string<uuid> | null
required

Optional QuickBooks customer UUID.

Example:

"018f5f0c-1111-7abc-8def-123456789abc"

created_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600

updated_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600